Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.display
Class FullScreenWindow

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--quicktime.app.display.FullScreenWindow

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class FullScreenWindow
extends java.awt.Window

This class is provided for usage when the screen is put into full screen mode. The class manages a FullScreen object that will hide menu bars, task bars, etc. thus making available the entire screen for an application to use. The FullScreenWindow is the window which will fill that screen. As it is an extension of a java.awt.Window any usage of this window is congruous with the usage of a Window in Java applications.

See Also:
  `FullScreen`, Serialized Form

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected boolean` | `doNotify` This variable controls whether addNotify will actually call or fail - failing is silent.

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FullScreenWindow()` Creates a awt.Window for use in full screen mode.
`FullScreenWindow(FullScreen fs)` Creates a awt.Window for use in full screen mode.
`FullScreenWindow(FullScreen fs, java.awt.Frame f)` Creates a awt.Window for use in full screen mode.

Method Summary
`void` | `addNotify()` The addNotify method can only be successful in this class during or after the execution of the show method.
`int` | `getFlags()` Returns the flags that will be used when the screen is placed in full screen mode with the show method.
`FullScreen` | `getFullScreen()` This returns the FullScreen object that is used by the FullScreenWindow to place the screen into full screen mode when the show method is called, and to return the screen to normal mode when the hide method is called.
`GDevice` | `getGDevice()` Returns the device that corresponds to the screen that will be placed in full screen mode with the show method.
`java.awt.Insets` | `getInsets()` Returns insets of 0, 0, 0, 0 as a FullScreenWindow has no frame or border.
`java.awt.Dimension` | `getPreferredSize()` This returns a previously set value of the requested size of the FullScreenWindow.
`void` | `hide()` This method will return the specified screen to normal mode.
`void` | `pack()` For a full screen window pack can only be called after the window has been shown.
`void` | `setFlags(int flags)` Sets the flags that will be used when the screen is placed in full screen mode with the show method.
`void` | `setGDevice(GDevice gDevice)` Sets the device that corresponds to the screen that will be placed in full screen mode with the show method.
`void` | `setPreferredSize(int width, int height)` The application can set the requested size of the full screen when the screen is placed into full screen mode.
`void` | `show()` This method is used to place the specified screen, at the specified resolution and flags, into full screen mode.

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, dispose, finalize, getAccessibleContext, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, postEvent, processEvent, processWindowEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, getMaximumSize, getMinimumSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### doNotify

    protected boolean doNotify

  This variable controls whether addNotify will actually call or fail - failing is silent. The variable is set to true during the show method and is reset to false from the hide method which also calls removeNotify to remove the native restrictions imposed by incompatible functionality of native windowing usage in the Java VMs.

Constructor Detail

### FullScreenWindow

    public FullScreenWindow()
                     throws QTException

  Creates a awt.Window for use in full screen mode. It will create the FullScreen object which enables the screen to be placed into full screen mode

### FullScreenWindow

    public FullScreenWindow(FullScreen fs)
                     throws QTException

  Creates a awt.Window for use in full screen mode. The application can pass in the FullScreen object which enables the screen to be placed into full screen mode.
  Parameters:
    `fs` - the QuickTime FullScreen object

### FullScreenWindow

    public FullScreenWindow(FullScreen fs,
                            java.awt.Frame f)
                     throws QTException

  Creates a awt.Window for use in full screen mode. The application can pass in the FullScreen object which enables the screen to be placed into full screen mode.
  Parameters:
    `fs` - the QuickTime FullScreen object
    `f` - the Frame that owns the Window object.

Method Detail

### getFullScreen

    public FullScreen getFullScreen()

  This returns the FullScreen object that is used by the FullScreenWindow to place the screen into full screen mode when the show method is called, and to return the screen to normal mode when the hide method is called. Whilst the application can use this object for preflighting screen size no state is stored in the FullScreen object, so the application should interact directly with the methods of this, the FullScreenWindow, class.
  Returns:
    a FullScreen object

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  This returns a previously set value of the requested size of the FullScreenWindow. It may return a width and height of 0, 0 if no previous size has been requested. In this case the current display size of the screen is used when the screen is placed into full screen mode.
  Overrides:
    `getPreferredSize` in class `java.awt.Container`
  Returns:
    the currently requested size for full screen display

### setPreferredSize

    public void setPreferredSize(int width,
                                 int height)

  The application can set the requested size of the full screen when the screen is placed into full screen mode. This method does not establish if the resolution requested is available, it will only request that size when the show method is called. To see if a requested size is available the application should get the FullScreen object from this class (getFullScreen) and call a preflightSize method. The result of the preflightSize method tells you the closest size that the desired screen can be placed in from your requested size.
  Parameters:
    `width` - the requested width or 0 to leave the screen at its current resolution when full screen mode is activated with the show method.
    `height` - the requested height or 0 to leave the screen at its current resolution when full screen mode is activated with the show method.

### getFlags

    public int getFlags()

  Returns the flags that will be used when the screen is placed in full screen mode with the show method.
  Returns:
    the full screen flags

### setFlags

    public void setFlags(int flags)

  Sets the flags that will be used when the screen is placed in full screen mode with the show method.
  Parameters:
    `flags` - the full screen flags

### setGDevice

    public void setGDevice(GDevice gDevice)

  Sets the device that corresponds to the screen that will be placed in full screen mode with the show method.
  Parameters:
    `gDevice` - the gDevice of a screen of null to set the main screen

### getGDevice

    public GDevice getGDevice()

  Returns the device that corresponds to the screen that will be placed in full screen mode with the show method.
  Returns:
    the gDevice of a screen of null

### show

    public void show()

  This method is used to place the specified screen, at the specified resolution and flags, into full screen mode. It then resizes and positions the FullScreenWindow object so that the content region of this Window takes up the entire screen. It then shows the FullScreenWindow object. On both MacOS and Win32 there are no insets so the entire drawing surface from 0,0 to the width and height is available for display.

  Due to the restrictions of the usage of addNotify() with this class, the pack() method is also called from this method (as is toFront). Thus the method does multiple things:

  - Puts the screen into full screen mode
  - Sets the size of the window to the size of the screen
  - call pack() to layout the window.
  - shows the window and brings it to the front
  It is the Applications responsibility to hide this window when done as the user has no direct way to hide the window.
  Overrides:
    `show` in class `java.awt.Window`

### hide

    public void hide()

  This method will return the specified screen to normal mode. It then hides the window.
  Overrides:
    `hide` in class `java.awt.Window`

### addNotify

    public void addNotify()

  The addNotify method can only be successful in this class during or after the execution of the show method. The native Java VM's have peculiarities in windows positioning which are not compatible with the requirement of the FullScreenWindow's purpose to fill the entire screen. An application should never need to call this method directly - if it is called at an inappropriate time the call will silently fail.
  Overrides:
    `addNotify` in class `java.awt.Window`

### pack

    public void pack()

  For a full screen window pack can only be called after the window has been shown. The FullScreenWindow.show call will call pack to ensure that the contained components are laid out correctly.
  Overrides:
    `pack` in class `java.awt.Window`

### getInsets

    public java.awt.Insets getInsets()

  Returns insets of 0, 0, 0, 0 as a FullScreenWindow has no frame or border.
  Overrides:
    `getInsets` in class `java.awt.Container`
  Returns:
    the insets of this container.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD